package com.alxad.alx.demo;


import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.RadioGroup;

import androidx.appcompat.app.AppCompatActivity;

import com.alxad.R;


/**
 * 原生广告
 */
public class AlxNativeDemoActivity extends AppCompatActivity implements View.OnClickListener {
    private static final String TAG = "AlxNativeDemoActivity";
    public static final String EXTRA_AD_TYPE = "adType";


    private RadioGroup mRadioStyle;
    private RadioGroup mRadioList;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_alx_native_demo);
        initView();
    }

    private void initView() {
        mRadioStyle = (RadioGroup) findViewById(R.id.radio_style_layout);
        mRadioList = (RadioGroup) findViewById(R.id.radio_list_layout);
        findViewById(R.id.btn).setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn:
                bnShow();
                break;
        }
    }

    private void bnShow() {
        boolean isExpressType = true;
        int showType = 0;
        switch (mRadioStyle.getCheckedRadioButtonId()) {
            case R.id.open_express_ad:
                isExpressType = true;
                break;
            case R.id.open_native_ad:
                isExpressType = false;
                break;
        }
        switch (mRadioList.getCheckedRadioButtonId()) {
            case R.id.render_listview:
                showType = 0;
                break;
            case R.id.render_recyclerview:
                showType = 1;
                break;
            case R.id.render_other:
                showType = 2;
                break;
        }

        Intent intent;
        switch (showType) {
            case 1:
                intent = new Intent(this, AlxNativeRecyclerViewActivity.class);
                break;
            case 2:
                intent = new Intent(this, AlxNativeOtherActivity.class);
                break;
            default:
                intent = new Intent(this, AlxNativeListViewActivity.class);
        }
        intent.putExtra(EXTRA_AD_TYPE, isExpressType);
        startActivity(intent);
    }
}